"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "IDynamoQuerySecondayIndexOptions", {
  enumerable: true,
  get: function get() {
    return _index.IDynamoQuerySecondayIndexOptions;
  }
});
Object.defineProperty(exports, "IDynamoQueryParamOptions", {
  enumerable: true,
  get: function get() {
    return _index.IDynamoQueryParamOptions;
  }
});
Object.defineProperty(exports, "ISecondaryIndexDef", {
  enumerable: true,
  get: function get() {
    return _index.ISecondaryIndexDef;
  }
});
Object.defineProperty(exports, "IFieldCondition", {
  enumerable: true,
  get: function get() {
    return _index.IFieldCondition;
  }
});
Object.defineProperty(exports, "IDynamoKeyConditionParams", {
  enumerable: true,
  get: function get() {
    return _index.IDynamoKeyConditionParams;
  }
});
Object.defineProperty(exports, "IDynamoPagingParams", {
  enumerable: true,
  get: function get() {
    return _index.IDynamoPagingParams;
  }
});
Object.defineProperty(exports, "IDynamoQueryConditionParams", {
  enumerable: true,
  get: function get() {
    return _index.IDynamoQueryConditionParams;
  }
});
Object.defineProperty(exports, "IDynamoPagingResult", {
  enumerable: true,
  get: function get() {
    return _index.IDynamoPagingResult;
  }
});
Object.defineProperty(exports, "IDynamoDataCoreEntityModel", {
  enumerable: true,
  get: function get() {
    return _baseSchema.IDynamoDataCoreEntityModel;
  }
});
Object.defineProperty(exports, "GenericDataError", {
  enumerable: true,
  get: function get() {
    return _errors.GenericDataError;
  }
});
Object.defineProperty(exports, "DynamoDataOperation", {
  enumerable: true,
  get: function get() {
    return _dynamoDataOperation.DynamoDataOperation;
  }
});
exports["default"] = void 0;

var _index = require("./types/index.js");

var _baseSchema = require("./core/base-schema.js");

var _errors = require("./helpers/errors.js");

var _dynamoDataOperation = require("./core/dynamo-data-operation.js");

var _default = DynamoDataOperation;
exports["default"] = _default;